#include <bits/stdc++.h>
using namespace std;
long long a,b;

long long res(){
    return a*2+b*2-4+((a-2)*(b-2))/2;
}

int main(){
    cin >> a >> b;
    if(a==1 or b==1){
        cout << 1 << endl;
    }
    else if(a==2 or b==2){
        cout << a*b << endl;
    }
    else {
        cout << res() << endl;
    }
    return 0;
}